#include <string.h>
#include "defines.h"

void fnget(filename,pathname,ext)
unchar *filename;	/* 完成したファイル名 */
unchar *pathname;	/* 分解すべきフルパス名 */
unchar *ext;		/* 置き換える拡張子 */
{
unchar drv[MAXDRIVE],dir[MAXDIR],fname[MAXFILE],et[MAXEXT];
	/* ファイル名分解 */
	strsfn2(pathname,drv,dir,fname,et);
	
	/* 拡張子置き換え */
	/* ext="."のときは置き換えない */
	if (ext[0]=='.' && ext[1]==0) ext=et;
	
	/* カレントドライブのfname.et */
	strmfn(filename,"","",fname,ext);
}
